[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.Clear

Clear the field contents.

## Declaration

Source position: db.pas line 376

`public procedure TField.Clear; virtual;`

## Description

Clear clears the contents of the field. After calling this method the value of the field is Null and IsNull returns True.

The dataset must be in edit mode to execute this method.

## Errors

If the dataset is not in one of the edit modes, then executing this method will raise an EDatabaseError exception.

## See also

TField.IsNull |  | Is the field empty
TField.Value |  | Value of the field as a variant value

Documentation generated on: Feb 26 2014